MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::MemAllocFailed Class Reference

This is thrown when a memory allocation fails. More...

`#include <scexception.h>`

Inheritance diagram for sc::MemAllocFailed:

List of all members.

## Public Member Functions

| MemAllocFailed (const char *description=0, const char *file=0, int line=0, size_t nbyte=0, const ClassDesc *class_desc=0, const char *exception_type="MemAllocFailed") throw ()
| MemAllocFailed (const MemAllocFailed &) throw ()
size_t | nbyte () const throw ()
| Returns the number of bytes used in the failed allocation attempt.

## Detailed Description

This is thrown when a memory allocation fails.

The documentation for this class was generated from the following file:

- scexception.h